Description

We have been using OCS to manage assets previously.  Recently we’ve been using foreman and we are now replicating a lot of

asset data in both systems. Ideally we would like to use just one and foreman would be preferable but the filtering of asset details in

OCS is very flexible and powerful.

It would be really useful to be able to filter asset details by fact names and to be able to selectively view which fact names you want.

If this view can then be downloaded in CSV format it means that we can use the data for reporting purposes outside of the foreman

like we currently do with OCS. If we also had the ability to add our own fields into the database for each asset this would replicate all

the facilities missing that we use in OCS and we could move to the foreman for asset management.

Related issues:

Related to Foreman - Feature #32: Provide a way to organize the Inventory dis... New

Associated revisions

Revision 770219dc - 03/09/2015 05:17 AM - Shlomi Zadok

fixes #87 - ensure that either 'monthly' or 'weekly' are validated on edit

History

#1 - 11/23/2009 12:02 PM - Ohad Levy

Dave Whitehouse wrote:

It would be really useful to be able to filter asset details by fact names and to be able to selectively view which fact names you want.

 is it per host or in general? can you give me some examples?

If this view can then be downloaded in CSV format it means that we can use the data for reporting purposes outside of the foreman like we

currently do with OCS. If we also had the ability to add our own fields into the database for each asset this would replicate all the facilities

missing that we use in OCS and we could move to the foreman for asset management.

 exporting to csv or any other format is usually not a problem.

which kind of fields would you like to add? adding a fact name and a value is not a problem, however one of the main benefits of using facter is that

you can ensure that the data is updated, manual fields usually are not.

#2 - 11/23/2009 12:28 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Dave Whitehouse

#3 - 11/23/2009 12:57 PM - Dave Whitehouse

Ohad Levy wrote:

Dave Whitehouse wrote:

It would be really useful to be able to filter asset details by fact names and to be able to selectively view which fact names you want.
 is it per host or in general? can you give me some examples?

 It’s a general ability to filter on a fact such as BIOS version for example. I’ve used OSC in the past to list all HP servers with BIOS version 008 for

example and then downloaded the list into excel.

If this view can then be downloaded in CSV format it means that we can use the data for reporting purposes outside of the foreman like we

currently do with OCS. If we also had the ability to add our own fields into the database for each asset this would replicate all the facilities

missing that we use in OCS and we could move to the foreman for asset management.

 exporting to csv or any other format is usually not a problem.

which kind of fields would you like to add? adding a fact name and a value is not a problem, however one of the main benefits of using facter is

that you can ensure that the data is updated, manual fields usually are not.

 The adding of manual fields is less important. Like you say it is something that is a pain to keep upto date. We’ve used if for things like adding in

authorative contact details but I’m not sure I’d use that long term.

#4 - 11/25/2009 02:26 PM - Matt Moran

- Assignee changed from Dave Whitehouse to Ohad Levy

#5 - 12/01/2009 06:24 AM - Ohad Levy

- Status changed from Feedback to New

- Assignee changed from Ohad Levy to Martin Englund

@Martin Englund: Are you planning to implement the to_csv method as well?

I guess its a good idea to split the facts to their own method/view as eventually the active scaffold wont cut it anymore.

#6 - 12/01/2009 10:40 AM - Martin Englund

I've created the view /hosts/:id/facts but that only covers facts for that specific host.

I am planning to create a view /facts (or perhaps /hosts/facts) where you view them as: hostname, fact name, fact value. I think that is what Matt is

asking for.

I'll see if I can create a to_csv method as well.

#7 - 05/16/2010 12:56 PM - Ohad Levy

- Status changed from New to Rejected

this has been long implemented, somehow this ticket got lost, closing it as its not relevant any more.
